uniform int  boneCount;
uniform mat4 boneMatrices[29];

attribute vec4 weight;
attribute vec4 index;

varying vec4 weights;

// per pixel lighting

varying vec3 normal;
varying vec3 view;
varying vec3 light;

void main()
{
	float boneIndex[4];
	float boneWeight[4];
	
	// Transformationen in das Kamerakoordinatensystem
	vec3 eyeNormal = normalize(gl_NormalMatrix * gl_Normal);
	vec4 eyeVertex = gl_ModelViewMatrix * gl_Vertex;
	vec3 eyeView = -normalize(eyeVertex.xyz);
	vec3 eyeLight = normalize(gl_LightSource[0].position.xyz - eyeVertex.xyz);
	
	normal = eyeNormal;
	view = eyeView;
	light = eyeLight;
	
	gl_TexCoord[0] = gl_MultiTexCoord0;
	
	vec4 finalVertex = vec4(0,0,0,0);
	
	boneIndex[0] = index.x;
	boneIndex[1] = index.y;
	boneIndex[2] = index.z;
	boneIndex[3] = index.w;
	
	boneWeight[0] = weight.x;
	boneWeight[1] = weight.y;
	boneWeight[2] = weight.z;
	boneWeight[3] = weight.w;
	
	int effectCount = 0;
	
	for (int i = 0; i < 4; i++)
	{
		int index = int(boneIndex[i]);
	
		if(boneWeight[i] > 0.0)
		{
			finalVertex +=  ( boneMatrices[index] * gl_Vertex) * boneWeight[i] ;
		}
	}

	weights = weight;	

	gl_Position = gl_ModelViewProjectionMatrix * finalVertex;
}