varying vec4 weights;

// cartoon shader

varying vec3 lightDir;
varying vec3 lightPos;

varying vec3 normal;
uniform sampler2D colorMap;

void main()
{
	float intensity;
	vec4 color;
	
	vec3 nNormal = normalize(normal);
	intensity = dot(lightDir, nNormal);
	
	if (intensity > 0.7)
	{
		color = vec4(1.0, 1.0, 1.0, 1.0);
	}
	else if (intensity > 0.4)
	{
		color = vec4(0.5, 0.5, 0.5, 1.0);
	}
	else
	{
		color = vec4(0.3, 0.3, 0.3, 1.0);
	}
	
	gl_FragColor = texture2D(colorMap, gl_TexCoord[0].st) * color;
}