uniform int  boneCount;
uniform mat4 boneMatrices[29];

attribute vec4 weight;
attribute vec4 index;

varying vec4 weights;




// cartoon shader

varying vec4 diffuse;
varying vec4 ambientGlobal;
varying vec4 ambient;

varying vec3 normal;
varying vec3 lightDir;
varying vec3 halfVector;

varying vec3 lightPos;
varying float dist;


void main()
{
	float boneIndex[4];
	float boneWeight[4];
	
	vec4 ecPos;
	vec3 aux;
	
	normal = normalize(gl_NormalMatrix * gl_Normal);
	
	lightPos = vec3(gl_LightSource[0].position);
	
	// these are the new lines of code to compute the light's direction
	ecPos = gl_ModelViewMatrix * gl_Vertex;
	aux = vec3(gl_LightSource[0].position-ecPos);
	lightDir = normalize(aux);
	
	gl_TexCoord[0] = gl_MultiTexCoord0;
	
	vec4 finalVertex = vec4(0,0,0,0);
	
	boneIndex[0] = index.x;
	boneIndex[1] = index.y;
	boneIndex[2] = index.z;
	boneIndex[3] = index.w;
	
	boneWeight[0] = weight.x;
	boneWeight[1] = weight.y;
	boneWeight[2] = weight.z;
	boneWeight[3] = weight.w;
	
	int effectCount = 0;
	
	for (int i = 0; i < 4; i++)
	{
		int index = int(boneIndex[i]);
	
		if(boneWeight[i] > 0.0)
		{
			finalVertex +=  ( boneMatrices[index] * gl_Vertex) * boneWeight[i] ;
		}
	}

	weights = weight;	

	gl_Position = gl_ModelViewProjectionMatrix * finalVertex;
}