
// per pixel lighting

varying vec3 normal;
varying vec3 view;
varying vec3 light;

void main(void)
{
	// Fragmentnormale im Kamerakoordinatensystem
	vec3 fragNormal = normalize(normal);
	vec3 fragView = normalize(view);
	vec3 fragLight = normalize(light);
	vec3 reflection = normalize(reflect(-light, normal));
	
	float NdotL = max(0.0, dot(fragNormal, fragLight));
	float VdotR = dot(fragView, reflection);
	float VdotRExp = pow(max(0.0, VdotR), gl_FrontMaterial.shininess);
	
	gl_FragColor =	gl_FrontMaterial.ambient * (gl_LightSource[0].ambient + gl_LightModel.ambient) +
					NdotL * gl_LightSource[0].diffuse * gl_FrontMaterial.diffuse +
					VdotRExp * gl_FrontMaterial.specular*gl_LightSource[0].specular;
}