
// per pixel lighting

varying vec3 normal;
varying vec3 view;
varying vec3 light;

void main(void)
{
	// Transformationen in das Kamerakoordinatensystem
	vec3 eyeNormal = normalize(gl_NormalMatrix * gl_Normal);
	vec4 eyeVertex = gl_ModelViewMatrix * gl_Vertex;
	vec3 eyeView = -normalize(eyeVertex.xyz);
	vec3 eyeLight = normalize(gl_LightSource[0].position.xyz - eyeVertex.xyz);
	
	normal = eyeNormal;
	view = eyeView;
	light = eyeLight;
	
	// Fixed Function Pipeline fr die Ecken
	gl_Position = ftransform();
}