uniform sampler2D sampler0;

int samples;
float spread;
vec2 tc_offsets[7];
float weights[7];

void main(void)
{
	samples=7;
	spread=1.0/128.0;
	tc_offsets[0]=vec2(0.0, -2.0*spread);
	tc_offsets[1]=vec2(0.0, -1.0*spread);
	tc_offsets[2]=vec2(0.0,  0.0*spread);
	tc_offsets[3]=vec2(0.0,  1.0*spread);
	tc_offsets[4]=vec2(0.0,  2.0*spread);
	tc_offsets[5]=vec2(0.0, -3.0*spread);
	tc_offsets[6]=vec2(0.0,  3.0*spread);


	weights[0]=1.0/8.0;
	weights[1]=2.0/8.0;
	weights[2]=4.0/8.0;
	weights[3]=2.0/8.0;
	weights[4]=1.0/8.0;
	weights[5]=1.0/16.0;
	weights[6]=1.0/16.0;

	vec4 result=vec4(0.0,0.0,0.0,0.0);
	for (int i=0; i<samples; i++)
	{
		result+=texture2D(sampler0,gl_TexCoord[0].st+tc_offsets[i])*weights[i];
	}

	gl_FragColor=result;
}